Репозиторий Sisyphus
Последнее обновление: 1 октября 2023 | Пакетов: 18631 | Посещений: 37515418
en ru br
Репозитории ALT

Группа :: Разработка/Прочее
Пакет: pmake

 Главная   Изменения   Спек   Патчи   Исходники   Загрузить   Gear   Bugs and FR  Repocop 

mkdep/0042755000076500000200000000000007436703377010343 5ustar  ldvrpmmkdep/mkdep.gcc.sh0100644000076500000200000000577107436703377012537 0ustar  ldvrpm#!/bin/sh -
#
# $OpenBSD: mkdep.gcc.sh,v 1.11 2002/02/25 03:37:45 pvalchev Exp $
# $NetBSD: mkdep.gcc.sh,v 1.9 1994/12/23 07:34:59 jtc Exp $
#
# Copyright (c) 1991, 1993
# The Regents of the University of California. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
# must display the following acknowledgement:
# This product includes software developed by the University of
# California, Berkeley and its contributors.
# 4. Neither the name of the University nor the names of its contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# @(#)mkdep.gcc.sh 8.1 (Berkeley) 6/6/93
#

D=.depend # default dependency file is .depend
append=0
pflag=

while :
do case "$1" in
# -a appends to the depend file
-a)
append=1
shift ;;

# -f allows you to select a makefile name
-f)
D=$2
shift; shift ;;

# the -p flag produces "program: program.c" style dependencies
# so .o's don't get produced
-p)
pflag=p
shift ;;
*)
break ;;
esac
done

if [ $# = 0 ] ; then
echo 'usage: mkdep [-p] [-f depend_file] [cc_flags] file ...'
exit 1
fi

um=`umask`
umask 022

TMP=`mktemp /tmp/mkdep.XXXXXXXXXX` || exit 1

umask $um
trap 'rm -f $TMP ; trap 2 ; kill -2 $$' 1 2 3 13 15

if [ x$pflag = x ]; then
${CC:-cc} -M "$@" | sed -e 's; \./; ;g' > $TMP
else
${CC:-cc} -M "$@" | sed -e 's;\.o[ ]*:; :;' -e 's; \./; ;g' > $TMP
fi

if [ $? != 0 ]; then
echo 'mkdep: compile failed.'
rm -f $TMP
exit 1
fi

if [ $append = 1 ]; then
cat $TMP >> $D
if [ $? != 0 ]; then
echo 'mkdep: append failed.'
rm -f $TMP
exit 1
fi
else
mv -f $TMP $D
if [ $? != 0 ]; then
echo 'mkdep: rename failed.'
rm -f $TMP
exit 1
fi
fi

rm -f $TMP
exit 0
mkdep/mkdep.10100644000076500000200000000657707202701514011515 0ustar ldvrpm.\" $OpenBSD: mkdep.1,v 1.5 2000/11/10 05:10:36 aaron Exp $
.\" $NetBSD: mkdep.1,v 1.3 1994/12/23 07:34:56 jtc Exp $
.\"
.\" Copyright (c) 1987, 1990, 1993
.\" The Regents of the University of California. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\" notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\" notice, this list of conditions and the following disclaimer in the
.\" documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\" must display the following acknowledgement:
.\" This product includes software developed by the University of
.\" California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\" may be used to endorse or promote products derived from this software
.\" without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" @(#)mkdep.1 8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt MKDEP 1
.Os
.Sh NAME
.Nm mkdep
.Nd construct Makefile dependency list
.Sh SYNOPSIS
.Nm mkdep
.Op Fl ap
.Op Fl f Ar file
.Op Ar flags
.Ar file Op Ar ...
.Sh DESCRIPTION
.Nm
takes a set of flags for the C compiler and a list
of C source files as arguments and constructs a set of include
file dependencies which are written into the file
.Pa .depend .
An example of its use in a Makefile might be:
.Bd -literal -offset indent
CFLAGS= -O -I../include
SRCS= file1.c file2.c

depend:
mkdep ${CFLAGS} ${SRCS}
.Ed
.Pp
where the macro SRCS is the list of C source files and the macro
CFLAGS is the list of flags for the C compiler.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl a
Append to the output file,
so that multiple
.Nm mkdep Ns 's
may be run from a single Makefile.
.It Fl f Ar file
Write the include file dependencies to
.Ar file ,
instead of the default
.Pa .depend .
.It Fl p
Cause
.Nm
to produce dependencies of the form:
.Bd -literal -offset indent
program: program.c
.Ed
.Pp
so that subsequent makes will produce
.Ar program
directly from its C module rather than using an intermediate
.Pa \&.o
module.
This is useful for programs whose source is contained in a single
module.
.El
.Sh FILES
.Bl -tag -width .depend -compact
.It Pa .depend
file containing list of dependencies
.El
.Sh SEE ALSO
.Xr cc 1 ,
.Xr cpp 1 ,
.Xr make 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 Tahoe .
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin